buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Spiewak (JIRA)" <j...@apache.org>
Subject [jira] Commented: (BUILDR-418) jruby exception: `ffi_libraries': no library specified
Date Sun, 25 Apr 2010 19:11:49 GMT

    [ https://issues.apache.org/jira/browse/BUILDR-418?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12860739#action_12860739
] 

Daniel Spiewak commented on BUILDR-418:
---------------------------------------

I find it really bizarre that you would be seeing this problem on Windows.  We rely on the
implicit jffi library loading on all other platforms, but on Windows we *explicitly* load
libc.

> jruby exception: `ffi_libraries': no library specified 
> -------------------------------------------------------
>
>                 Key: BUILDR-418
>                 URL: https://issues.apache.org/jira/browse/BUILDR-418
>             Project: Buildr
>          Issue Type: Bug
>          Components: JRuby
>         Environment: OS X 10.5.8
> jruby 1.5.0.dev (ruby 1.8.7 patchlevel 174) (2010-03-30 93dcb70) (Java HotSpot(TM) 64-Bit
Server VM 1.6.0_13) [x86_64-java]
> $ gem list
> *** LOCAL GEMS ***
> Antwrap (0.7.0)
> archive-tar-minitar (0.5.2)
> builder (2.1.2)
> ffi (0.6.3, 0.6.2)
> highline (1.5.1)
> hoe (2.3.3)
> jruby-openssl (0.6, 0.5.2)
> net-sftp (2.0.2)
> net-ssh (2.0.15, 2.0.14)
> rake (0.8.7)
> rspec (1.2.8)
> rubyforge (1.0.5)
> rubyzip (0.9.1)
> xml-simple (1.0.12)
>            Reporter: Nate Murray
>
> Trying to compile seems to crash with an ffi library in my environment:
> jruby /Users/nmurray/programming/ruby/buildr/_jbuildr --buildfile buildr.buildfile compile
--trace
> /Users/nmurray/programming/ruby/buildr/_jbuildr:24:Warning: Gem::Dependency#version_requirements
is deprecated and will be removed on or after August 2010.  Use #requirement
> /Users/nmurray/.rvm/rubies/jruby-head/lib/ruby/site_ruby/shared/ffi/library.rb:46:in
`ffi_libraries': no library specified (LoadError)
>         from /Users/nmurray/.rvm/rubies/jruby-head/lib/ruby/site_ruby/shared/ffi/library.rb:75:in
`attach_function'
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr/core/util.rb:413
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr/core/util.rb:31:in `require'
>         from /Users/nmurray/.rvm/rubies/jruby-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr/core/common.rb:18
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr/core/common.rb:31:in `require'
>         from /Users/nmurray/.rvm/rubies/jruby-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr/core.rb:22
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr/core.rb:31:in `require'
>         from /Users/nmurray/.rvm/rubies/jruby-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr.rb:20
>         from /Users/nmurray/programming/ruby/buildr/lib/buildr.rb:31:in `require'
>         from /Users/nmurray/.rvm/rubies/jruby-head/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
>         from /Users/nmurray/programming/ruby/buildr/_jbuildr:28 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message